Public Member Functions
OutputPort Class Reference

## Detailed Description

An OutputPort object represents an output port of an Operator.

See also:
  Port, InputPort, Operator

`#include <xsi_outputport.h>`

Inheritance diagram for OutputPort:
[legend]

List of all members.

## Public Member Functions
| OutputPort ()
| ~OutputPort ()
| OutputPort (const CRef &in_ref)
| OutputPort (const OutputPort &in_obj)
bool | IsA (siClassID in_ClassID) const
siClassID | GetClassID () const
OutputPort & | operator= (const OutputPort &in_obj)
OutputPort & | operator= (const CRef &in_ref)
CValue | GetValue () const
CStatus | PutValue (CValue in_val)
bool | GetCreated () const

## Constructor & Destructor Documentation

OutputPort | ( |  | ) |

Default constructor.

~OutputPort | ( |  | ) |

Default destructor.

OutputPort | ( | const CRef & | in_ref | ) |

Constructor.

Parameters:

  in_ref | constant reference object.

OutputPort | ( | const OutputPort & | in_obj | ) |

Copy constructor.

Parameters:

  in_obj | constant class object.

## Member Function Documentation

bool IsA | ( | siClassID | in_ClassID | ) | const `[virtual]`

Returns true if a given class type is compatible with this API class.

Parameters:

  in_ClassID | class type.

Returns:
  true if the class is compatible, false otherwise.

Reimplemented from Port.

siClassID GetClassID | ( |  | ) | const `[virtual]`

Returns the type of the API class.

Returns:
  The class type.

Reimplemented from Port.

OutputPort& operator= | ( | const OutputPort & | in_obj | ) |

Creates an object from another object. The newly created object is set to empty if the Output object is not compatible.

Parameters:

  in_obj | constant class object.

Returns:
  The new Port object.

OutputPort& operator= | ( | const CRef & | in_ref | ) |

Creates an object from a reference object. The newly created object is set to empty if the Output reference object is not compatible.

Parameters:

  in_ref | constant class object.

Returns:
  The new OutputPort object.

Reimplemented from Port.

CValue GetValue | ( |  | ) | const

Returns the current value of the data attached to the port.

Returns:
  Current value. The value is empty if the port is not connected or if the function failed.

CStatus PutValue | ( | CValue | in_val | ) |

Sets the current value of the data attached to the port.

Parameters:

  in_val | new value for the data connected on this port.

Returns:
  CStatus::OK success
  CStatus::Fail failure

bool GetCreated | ( |  | ) | const

Returns true if the target connected to port is created when operator is applied, false otherwise

Returns:
  true if target is created

Since:
  4.0

The documentation for this class was generated from the following file:

- xsi_outputport.h